<template>
  <div class="container page-container">
    <div class="row">
      <div class="col-md-12 text-center">
        <div v-if="data">
          <AppHead :title="data.title" />
          <h1>{{ data.title }}</h1>
          <div>{{ data.description }}</div>
        </div>
        <div v-else>
          <h1>{{ title }}</h1>
          <div>{{ description }}</div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: ["status", "data"],
  computed: {
    title() {
      return {
        503: "503: Service Unavailable",
        500: "500: Server Error",
        404: "404: Page Not Found",
        403: "403: Forbidden",
      }[this.status];
    },
    description() {
      return {
        503: "Sorry, we are doing some maintenance. Please check back soon.",
        500: "Whoops, something went wrong on our servers.",
        404: "Sorry, the page you are looking for could not be found.",
        403: "Sorry, you are forbidden from accessing this page.",
      }[this.status];
    },
  },
};
</script>
